﻿using Blazorise.DataGrid;
using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Localization;
using ProjetBlazor.Modeles;
using ProjetBlazor.Services;

namespace ProjetBlazor.Pages
{
    public partial class MusiquesListe
    {
        private List<Musique> listeMusique ;

        private int totalItem;

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public IWebHostEnvironment WebHostEnvironment { get; set; }

        [Inject]
        public IStringLocalizer<MusiquesListe> Localizer { get; set; }

        private async Task OnReadData(DataGridReadDataEventArgs<Musique> e)
        {
            if (e.CancellationToken.IsCancellationRequested)
            {
                return;
            }
            if (!e.CancellationToken.IsCancellationRequested)
            {
                listeMusique = await DataService.List(e.Page, e.PageSize);
                totalItem = await DataService.Count();
            }
        }
    }
}
